<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'gestion_comptes';

		/* data for selected record, or defaults if none is selected */
		var data = {
			banque: <?php echo json_encode(array('id' => $rdata['banque'], 'value' => $rdata['banque'], 'text' => $jdata['banque'])); ?>,
			type_compte: <?php echo json_encode(array('id' => $rdata['type_compte'], 'value' => $rdata['type_compte'], 'text' => $jdata['type_compte'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for banque */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'banque' && d.id == data.banque.id)
				return { results: [ data.banque ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for type_compte */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'type_compte' && d.id == data.type_compte.id)
				return { results: [ data.type_compte ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

